%define tar_ver	%(echo %{version}|sed -e 's/\\./\\-/g')

Summary:	Pictures for use with the paint program Tuxpaint
Name: 		tuxpaint-stamps
Version:	2024.10.25
Release:	%mkrel 1
License:	GPLv2
Group:		Graphics/Editors and Converters
URL:		https://tuxpaint.org/
Source0: 	https://sourceforge.net/projects/tuxpaint/files/%{name}/%{tar_ver}/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(python3)
Requires: 	tuxpaint

%description
Tux Paint is a simple paint program gear towards young children.
It provides a simple but entertaining interface, allows drawing
with brushes, lines, shapes, and 'stamps,' and has a 'magic'
tool, for special effects. Loading and saving is done via a
graphical interface, and the underlying environment's
filesystem isn't exposed (much like programs on PDAs).

This packages contains a lot of extra pictures (stamps) for tuxpaint.

%prep
%autosetup

%build
(cd po && sh ./createpo.sh)
(cd po && ./createtxt.sh)

%install
%make_install DATA_PREFIX=%{buildroot}%{_datadir}/tuxpaint/ install-all

# fix perms
chmod -R go=u-w %{buildroot}/*

pushd po
for file in *.po ; do
    loc=`echo $file | sed -e 's/tuxpaint-stamps-\(.*\).po/\1/'`
    mkdir -p %{buildroot}%{_datadir}/locale/$loc/LC_MESSAGES
    msgfmt -o %{buildroot}%{_datadir}/locale/$loc/LC_MESSAGES/tuxpaint-stamps.mo $file
done
popd

%find_lang %{name}

%files -f %{name}.lang
%doc docs/*
%{_datadir}/tuxpaint/*


%changelog
* Tue Jan 07 2025 daviddavid <daviddavid> 2024.10.25-1.mga10
+ Revision: 2135867
- new version: 2024.10.25

* Wed Jul 31 2024 daviddavid <daviddavid> 2024.07.17-1.mga10
+ Revision: 2083013
- new version: 2024.07.17

* Thu Mar 07 2024 daviddavid <daviddavid> 2024.01.29-1.mga10
+ Revision: 2048098
- new version: 2024.01.29

* Thu Apr 13 2023 daviddavid <daviddavid> 2023.04.02-1.mga9
+ Revision: 1952837
- new version: 2023.04.02

* Fri Sep 09 2022 neoclust <neoclust> 2022.06.04-1.mga9
+ Revision: 1886178
- New version 2022.06.04

* Mon Mar 21 2022 umeabot <umeabot> 2020.05.29-2.mga9
+ Revision: 1812764
- Mageia 9 Mass Rebuild

* Sun May 31 2020 daviddavid <daviddavid> 2020.05.29-1.mga8
+ Revision: 1589245
- new version: 2020.05.29
- package lang files

* Wed Feb 12 2020 umeabot <umeabot> 2018.09.01-3.mga8
+ Revision: 1508212
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 2018.09.01-2.mga7
+ Revision: 1291958
- Mageia 7 Mass Rebuild

* Sat Sep 15 2018 daviddavid <daviddavid> 2018.09.01-1.mga7
+ Revision: 1259013
- new version: 2018.09.01
- update URL and add a Source URL
- fix license

* Tue Feb 02 2016 umeabot <umeabot> 2014.08.23-4.mga6
+ Revision: 932185
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2014.08.23-3.mga5
+ Revision: 749524
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2014.08.23-2.mga5
+ Revision: 689987
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 anaselli <anaselli> 2014.08.23-1.mga5
+ Revision: 669065
- new version 2014.08.23

* Fri Oct 18 2013 umeabot <umeabot> 2009.06.28-4.mga4
+ Revision: 519761
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2009.06.28-3.mga3
+ Revision: 384881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Mon Dec 17 2012 malo <malo> 2009.06.28-2.mga3
+ Revision: 331848
- spec clean-up
- update RPM group

* Sun Feb 20 2011 anaselli <anaselli> 2009.06.28-1.mga1
+ Revision: 55002
- imported package tuxpaint-stamps

